﻿using TestProject.Themes;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.changeButton.Clicked += changeButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 테마 변경 버튼 클릭시 처리하기 - changeButton_Clicked(sender, e)

    /// <summary>
    /// 테마 변경 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void changeButton_Clicked(object sender, EventArgs e)
    {
        ICollection<ResourceDictionary> resourceDictionaryCollection = Application.Current.Resources.MergedDictionaries;

        if(resourceDictionaryCollection != null)
        {
            if(resourceDictionaryCollection.OfType<DarkThemeDictionary>().SingleOrDefault() != null)
            {
                resourceDictionaryCollection.Clear();

                resourceDictionaryCollection.Add(new LightThemeDictionary());
            }
            else
            {
                resourceDictionaryCollection.Clear();

                resourceDictionaryCollection.Add(new DarkThemeDictionary());
            }
        }
    }

    #endregion
}